Get Coins By Symbol
Query Template
Filtering Options
Parameter | Type | Description |
|---|---|---|
where | object | An object that filters results based on specific conditions. |
limit | integer | The maximum number of results to return. |
offset | integer | Specifies the starting position of the results. |
order_by | object | An object that specifies the criteria for sorting results. Multiple fields can be used as sorting criteria. |
Query Fields
Field | Type | Description |
|---|---|---|
asset_type | string | A unique string that identifies the asset type. |
name | string | The name of the asset. |
creator_address | string | The address of the asset creator. |
decimals | integer | An integer representing the number of decimal places of the asset. |
symbol | string | The symbol of the asset. |
last_transaction_timestamp | string | The timestamp of the last transaction (ISO 8601 format). |
last_transaction_version | integer | An integer representing the version of the last transaction. |
Example
Request Example
query MyQuery {
fungible_asset_metadata(
order_by: {symbol: asc}
where: {symbol: {_gte: "A", _lte: "B"}}
limit: 5
offset: 0
) {
asset_type
name
creator_address
decimals
supply_aggregator_table_handle_v1
supply_aggregator_table_key_v1
symbol
last_transaction_timestamp
last_transaction_version
}
}
Response Example
{
"data": {
"fungible_asset_metadata": [
{
"asset_type": "0x36d7954eea7c2440cec0eb8c8658fa59800c79996564a72fca76ef670d1d9cc4::a_coin::ACoin",
"name": "a",
"creator_address": "0x36d7954eea7c2440cec0eb8c8658fa59800c79996564a72fca76ef670d1d9cc4",
"decimals": 1,
"symbol": "A",
"last_transaction_timestamp": "2024-04-25T10:37:31",
"last_transaction_version": 569342572
},
{
"asset_type": "0x4937e93e7dcabc61db6260428bec06e2bd26781dda82fa05a2ec78611145e41f::a_coin::ACoin",
"name": "mn",
"creator_address": "0x4937e93e7dcabc61db6260428bec06e2bd26781dda82fa05a2ec78611145e41f",
"decimals": 3,
"symbol": "A",
"last_transaction_timestamp": "2024-05-14T06:40:54",
"last_transaction_version": 599991407
},
{
"asset_type": "0xd896656f134931e31e37e1e1a42d9f3588034979f5301e69a646fb39e54ae646::A::A",
"name": "a",
"creator_address": "0xd896656f134931e31e37e1e1a42d9f3588034979f5301e69a646fb39e54ae646",
"decimals": 8,
"symbol": "A",
"last_transaction_timestamp": "2024-02-29T13:28:21",
"last_transaction_version": 472963012
},
{
"asset_type": "0x50717766d1b260c55e022eacb6b0a096eff66278cec2d6b96e760f8e4b1bcf77::a_coin::ACoin",
"name": "A",
"creator_address": "0x50717766d1b260c55e022eacb6b0a096eff66278cec2d6b96e760f8e4b1bcf77",
"decimals": 2,
"symbol": "A",
"last_transaction_timestamp": "2024-05-10T21:43:17",
"last_transaction_version": 593354962
},
{
"asset_type": "0x34c8dc1fe9af1726c775cbff45b79e650153277acef63e6eaf713cb91a372940::a1_coin::A1Coin",
"name": "JPS528a",
"creator_address": "0x34c8dc1fe9af1726c775cbff45b79e650153277acef63e6eaf713cb91a372940",
"decimals": 1,
"symbol": "A1",
"last_transaction_timestamp": "2024-06-29T23:55:40",
"last_transaction_version": 1006214674
}
]
}
}